2006-02-19 14:00  shida

	* INSTALL.TXT: v1.2.0-l10n-jp-6リリース

2006-02-19 13:58  shida

	* ChangeLog: v1.2.0-l10n-jp-6リリースのためのChangeLog更新

2006-02-19 11:48  shida

	* admin/password_forgotten.php, admin/includes/.htaccess,
	  admin/includes/functions/general.php,
	  includes/application_top.php, includes/version.php,
	  includes/classes/order.php,
	  includes/functions/functions_general.php,
	  includes/modules/pages/account/header_php.php,
	  includes/modules/pages/account_edit/header_php.php,
	  includes/modules/pages/address_book_process/header_php.php,
	  includes/modules/pages/checkout_confirmation/header_php.php,
	  includes/modules/pages/checkout_payment_address/header_php.php,
	  includes/modules/pages/checkout_shipping_address/header_php.php,
	  includes/modules/pages/checkout_success/header_php.php,
	  includes/modules/pages/contact_us/header_php.php,
	  includes/modules/pages/create_account/header_php.php,
	  includes/modules/pages/download/header_php.php,
	  includes/modules/pages/gv_faq/header_php.php,
	  includes/modules/pages/gv_redeem/header_php.php,
	  includes/modules/pages/gv_send/header_php.php,
	  includes/modules/pages/popup_image/header_php.php,
	  includes/modules/pages/popup_image_additional/header_php.php,
	  includes/modules/pages/product_music_info/main_template_vars.php,
	  includes/modules/pages/tell_a_friend/header_php.php,
	  includes/modules/pages/unsubscribe/header_php.php:
	  zen-cart-v1.2.6dからzen-cart-v1.2.7dの更新箇所のマージ。
	  zc_installは含んでいない。

2006-02-04 16:44  shida

	* includes/functions/extra_functions/mb-emulator/: mb-emulator.php:
	  mb_strimwidthの第4引数を省略してしまっている
	  http://zen-cart.jp/pukiwiki/448.html

	  のバグフィクス。

	  mb-emulatorで、弟4引数が必須パラメータになっており、
	  そのため、ワーニングがでてしまう。

	  オリジナルの仕様では、mb_strimwidthの第4引数は省略可なので、
	  そのように修正。

2006-02-04 16:22  shida

	* includes/modules/shipping/: nittsu.php:
	  日通ペリカン配送モジュールでDBプレフィクスが設定されていない
	  http://zen-cart.jp/pukiwiki/463.html のバグフィクス。

	  Yattsさん、対応が遅れちゃって申し訳ありませんでした m(_ _)m

2006-02-04 16:07  shida

	* includes/templates/template_default/templates/:
	  tpl_block_checkout_payment_address.php:
	  支払い法選択画面での住所変更で住所選択肢の部分が「名」「性」の並び順
	  http://zen-cart.jp/pukiwiki/552.html

	  のバグフィクス。

2006-01-23 17:57  shida

        * INSTALL.TXT: v1.2.0-l10n-jp-5のリリース

2006-01-22 14:58  shida

        * admin/includes/functions/: general.php:
          検索後に削除しても消えない
          http://www.zen-cart.jp/pukiwiki/534.html

          の件のバグフィクス。

          get_all_get_paramsで検索ワードをURLエンコードしていないため、
          2画面目などに正しくキーワードがわたらず、検索条件が消えてしまう。

          望月さんありがとうございました。 m(_ _)m

2006-01-22 11:56  shida

        * includes/classes/db/mysql/query_factory.php:
          よくみると、本家、1.2.5や1.2.6では、   if (!$zf_pconnect == 'false') {
             $this->link = @mysql_connect($zf_host, $zf_user,
          $zf_password, true);   } else {      $this->link =
          @mysql_connect($zf_host, $zf_user, $zf_password, true);   }
          と常にpconnectを使わないようになっている。
          これまでどおり、上がconnectでしたがpconnectなら、
          hiraさんの条件文

            if ($zf_pconnect == 'false') {

          の方が正しい。

          再修正。

2006-01-22 11:45  shida

        * includes/classes/db/mysql/query_factory.php: 常にpconnect
          http://www.zen-cart.jp/pukiwiki/491.html

          のバグフィクス。 zen-cart-v1.2.5d(英語版)をみると既に対応済み。

          かずさん、hiraさん、ありがとうございます。m(_ _)m

2006-01-22 11:38  shida

        * includes/modules/pages/: address_book_process/header_php.php,
          checkout_payment_address/header_php.php,
          checkout_shipping_address/header_php.php,
          create_account/header_php.php:
          住所で高知県と入力しても香川県になってしまう
          http://www.zen-cart.jp/pukiwiki/461.html

          のバグフィックス。

          mysqlのサーバーの文字コードがlatin1等になっている環境で発生。

          zone_name, zone_codeに対して、BINARYで検索することで対応。

          参考) http://myna2.mysql.gr.jp/mysqlml/mysql/msg/6707

          朱理さん、佐々木2号さんありがとうございます。


2006-01-09 15:56  shida

        * ChangeLog, INSTALL.TXT:
	1.2.0-l10n-jp-4のリリース

2006-01-09 15:44  shida

        * admin/password_forgotten.php:
        2005/12/4に発表されたSQL INJECTIONの脆弱性の修正
        http://www.zen-cart.com/modules/mydownloads/singlefile.php?lid=544

2005-07-26 17:33  shida

        * includes/languages/japanese.php:
          佐々木2号さんがご指摘。

          実際は、クーポン券やギフト券が利用できる場合に表示されるので
          あってないような気がします。
          「Credit」には、(銀行の)預金(額)という意味もあるのでここで用いられる意味は、
          そちらの方ではないかと思います。

          ありがとうございます。 m(_ _)m

2005-07-24 17:06  shida

        * includes/languages/japanese/: create_account.php:
          リンクをはる場所がちがっている

2005-07-24 16:43  shida

        * includes/templates/template_default/templates/:
          tpl_create_account_default.php: 姓、名の順が逆だった

2005-06-02 13:24  shida

        * admin/includes/functions/general.php: 生年月日の1970年問題
          http://zen-cart.jp/pukiwiki/155.html のバグフィクス

          の対応洩れ。 http://zen-cart.jp/bbs/viewtopic.php?t=1260#7270
          にてhide-10さんよりご指摘いただきました。
          ありがとうございます。m(_ _)m

2005-05-06 17:34  shida

	* INSTALL.TXT: v1.2.0-l10n-jp-3のリリース

2005-05-06 17:31  shida

	* zc_install/: mysql_upgrade_zencart_120jp2_to_3.sql,
	  includes/modules/pages/database_upgrade/header_php.php,
	  includes/templates/template_default/templates/database_upgrade_default.php:
	  個人情報保護法に対応する http://zen-cart.jp/pukiwiki/394.html

	  に伴うデータベース拡張のためのデータベースアップグレードに対応

2005-05-06 17:17  shida

	* zc_install/includes/modules/pages/:
	  database_upgrade/header_php.php, inspect/header_php.php:
	  バージョン判定でconfigurationテーブルのtitle文言を手がかりにしている
	  ^^;
	  そこも翻訳しないと、正しくバージョン判定をしてくれないので修正

2005-05-06 17:13  shida

	* zc_install/includes/modules/pages/database_upgrade/:
	  header_php.php:
	  データベースアップグレードの際、DB_PREFIXがパラメータにわたっていなかった。
	  最新版(1.2.4.1)では直ってた。

2005-05-06 14:15  shida

	* includes/languages/japanese/contact_us.php,
	  includes/modules/pages/contact_us/header_php.php,
	  includes/templates/template_default/templates/tpl_contact_us_default.php,
	  zc_install/mysql_zencart.sql: 個人情報保護法に対応する
	  http://zen-cart.jp/pukiwiki/394.html

	  の対応

2005-05-06 13:21  shida

	* admin/includes/languages/japanese/define_pages_editor.php,
	  includes/languages/japanese.php,
	  includes/languages/japanese/create_account.php,
	  includes/languages/japanese/login.php,
	  includes/languages/japanese/privacy.php,
	  includes/languages/japanese/unsubscribe.php,
	  zc_install/mysql_zencart.sql: 個人情報保護指針 ->
	  個人情報保護方針

2005-05-06 12:18  shida

	* includes/functions/: functions_general.php: 生年月日の1970年問題
	  http://zen-cart.jp/pukiwiki/155.html のバグフィクス

	  takiさん本当にありがとうございます。 m(_ _)m

2005-05-04 10:57  shida

	* admin/coupon_admin.php, admin/gv_mail.php, admin/gv_queue.php,
	  admin/mail.php, email/email_template_coupon.html,
	  email/email_template_direct_email.html,
	  email/email_template_gv_mail.html,
	  email/email_template_gv_queue.html,
	  email/email_template_newsletters.html,
	  email/email_template_product_notification.html,
	  admin/includes/classes/email.php,
	  admin/includes/languages/japanese/email_extras.php,
	  admin/includes/modules/newsletters/newsletter.php,
	  admin/includes/modules/newsletters/product_notification.php:
	  管理画面からメールが送信される系の - Fromヘッダが姓名逆の件を修正
	  - HTMLメールのDear firstname lastnameを修正 -
	  multipartのtext/plan側の文字コードをiso-2022に -
	  gv_queueのHTMLメールテンプレートがおかしかったのを修正(英語版1.2.4.1で修正されてたものを流用)

	  http://www.zen-cart.jp/pukiwiki/186.html

2005-04-23 13:29  shida

	* INSTALL.TXT:
	  バージョンをzen-cart-v1.2.0-l10n-jp-1からzen-cart-v1.2.0-l10n-jp-2にあげた

2005-04-22 18:15  shida

	* zc_install/mysql_zencart.sql:
	  商品オプションの”テキストボックス”が使用できない
	  http://zen-cart.jp/pukiwiki/pukiwiki.php?%A5%D7%A5%ED%A5%B8%A5%A7%A5%AF%A5%C8%2Fv1.2.0%C6%FC%CB%DC%B8%EC%B2%BD%2F%A5%D0%A5%B0%A5%C8%A5%E9%A5%C3%A5%AF%2F70

	  の件のバグフィクス

	  ありがとうございます。＞ 佐々木2号さん

2005-04-22 07:06  shida

	* includes/classes/email.php: デバッグ文を消し忘れてしまいました
	  m(_ _)m 削除。

2005-04-22 06:50  shida

	* includes/modules/order_total/ot_cod_fee.php: nittsu,
	  yamatoの代引き手数料に対応する件で修正の際、
	  nittsuに修正し忘れた点を 修正

2005-04-22 06:46  shida

	* includes/modules/order_total/ot_cod_fee.php:
	  hiraさんが1.2->1.3で対応してくださった、yamato
	  nittsuの代引き手数料の差分を JPNブランチにもcommit

2005-04-22 01:02  t_hira

	* includes/modules/order_total/ot_cod_fee.php: Yamato&Nittsu add

2005-04-16 14:37  shida

	* includes/modules/shipping/yamato.php:
	  ヤマトは佐川をコピーしたので佐川と同様のバグフィクス

	  「佐川急便で風袋の計算がおかしい」の対応
	  http://zen-cart.jp/pukiwiki/pukiwiki.php?%A5%D7%A5%ED%A5%B8%A5%A7%A5%AF%A5%C8%2Fv1.2.0%C6%FC%CB%DC%B8%EC%B2%BD%2F%A5%D0%A5%B0%A5%C8%A5%E9%A5%C3%A5%AF%2F60

2005-04-15 10:14  shida

	* includes/:
	  languages/english/modules/payment/kuroneko_at_payment.php,
	  languages/japanese/modules/payment/kuroneko_at_payment.php,
	  templates/template_default/buttons/english/button_kuroneko_at_payment.gif,
	  templates/template_default/buttons/japanese/button_kuroneko_at_payment.gif,
	  modules/payment/kuroneko_at_payment.php,
	  templates/template_default/templates/tpl_checkout_success_default.php:
	  クロネコ@ペイメントのデフォルト組み込み

	  佐々木2号さんありがとうございます。 m(_ _)m
	  http://zen-cart.jp/bbs/7/tree.php?all=230

2005-04-10 15:13  shida

	* includes/: classes/_nittsu.php,
	  languages/english/modules/shipping/nittsu.php,
	  languages/japanese/modules/shipping/nittsu.php,
	  modules/shipping/nittsu.php:
	  Yattsさんが作ってくださった日本通運ペリカン便、便送モジュールを日本語版Zen
	  Cartにデフォルト組み込み

2005-04-10 14:42  shida

	* includes/: classes/_yamato.php,
	  languages/english/modules/shipping/yamato.php,
	  languages/japanese/modules/shipping/yamato.php,
	  modules/shipping/yamato.php:
	  hiraさんが作ってくださったヤマト運輸配送モジュールを日本語版Zen
	  Cartにデフォルト組み込み

2005-04-10 12:45  shida

	* includes/modules/pages/download/: header_php.php:
	  http://www.zen-cart.jp/bbs/4/tree.php?n=387
	  http://www.zen-cart.com/modules/ipb/index.php?showtopic=17339&hl=
	  http://zen-cart.jp/pukiwiki/pukiwiki.php?%A5%D7%A5%ED%A5%B8%A5%A7%A5%AF%A5%C8%2Fv1.2.0%C6%FC%CB%DC%B8%EC%B2%BD%2F%A5%D0%A5%B0%A5%C8%A5%E9%A5%C3%A5%AF%2F69

	  でhiraさんが修正してくださいました。

	  なぜ、こういった症状が出るのかわかりませんが、
	  該当箇所のexit()はないと明らかにおかしいですよね。

	  ファイルダウンロードの後、HTMLとか出力してしまうと思いますし。
	  こちらの修正で大丈夫だと思います。

2005-04-10 12:07  shida

	* admin/includes/classes/email.php, includes/classes/email.php:
	  ユーザー登録メールでメールヘッダーが本文に入ってきてしまう
	  http://zen-cart.jp/pukiwiki/pukiwiki.php?%A5%D7%A5%ED%A5%B8%A5%A7%A5%AF%A5%C8%2Fv1.2.0%C6%FC%CB%DC%B8%EC%B2%BD%2F%A5%D0%A5%B0%A5%C8%A5%E9%A5%C3%A5%AF%2F52

	  http://www.zen-cart.jp/bbs/4/tree.php?n=427
	  でstoneさんが教えてくださった方法でbug fix。

	  mb_send_mailに書き換える方法も考えたが、

	    http://www.zen-cart.jp/bbs/1/tree.php?n=168

	  という経緯もあり、今回はとりあえず断念。

	  将来的にはもっとよい多言語化をしたい。

2005-04-08 07:37  shida

	* includes/languages/japanese.php:
	  http://zen-cart.jp/pukiwiki/pukiwiki.php?%A5%D7%A5%ED%A5%B8%A5%A7%A5%AF%A5%C8%2Fv1.2.0%C6%FC%CB%DC%B8%EC%B2%BD%2F%A5%D0%A5%B0%A5%C8%A5%E9%A5%C3%A5%AF%2F68
	  お屆け時間帯 の件

2005-04-08 07:30  shida

	* includes/application_top.php:
	  http://zen-cart.jp/pukiwiki/pukiwiki.php?%A5%D7%A5%ED%A5%B8%A5%A7%A5%AF%A5%C8%2Fv1.2.0%C6%FC%CB%DC%B8%EC%B2%BD%2F%A5%D0%A5%B0%A5%C8%A5%E9%A5%C3%A5%AF%2F64
	  商品と価格ブラウズの制限にてブラウスにはログインが必須の場合に「パスワードを忘れたら」が利用できない

	  の件を修正し、commit

2005-04-02 08:42  shida

	* extras/remise-result.php: リビジョン1.1.2.1からのマージ漏れ。
	  何故だろう…

	  http://zen-cart.jp/bbs/2/tree.php?n=938 で、tasukus
	  さんからのご指摘。

	  ありがとうございます。 m(_ _)m

2005-03-30 19:29  shida

	* admin/includes/languages/japanese/: product.php,
	  product_free_shipping.php, product_music.php:
	  %sのsが抜けていたものを修正
	  miyamooさんのご指摘。ありがとうございます。m(_ _)m
	  http://zen-cart.jp/bbs/4/tree.php?n=483

2005-03-17 16:30  shida

	* includes/functions/functions_general.php:
	  mb対応。これでレビューの文字化けなどを解消

2005-03-13 17:18  shida

	* includes/modules/shipping/sagawaex.php:
	  「佐川急便で風袋の計算がおかしい」の対応
	  http://zen-cart.jp/pukiwiki/pukiwiki.php?%A5%D7%A5%ED%A5%B8%A5%A7%A5%AF%A5%C8%2Fv1.2.0%C6%FC%CB%DC%B8%EC%B2%BD%2F%A5%D0%A5%B0%A5%C8%A5%E9%A5%C3%A5%AF%2F60

2005-02-13 13:53  shida

	* includes/functions/functions_general.php:
	  strtolowerを2バイト文字に対して行うと、文字が壊れる

2005-02-13 09:24  shida

	* includes/modules/order_total/ot_cod_fee.php:
	  e-コレクトでも代引き手数料が表示されるように修正

2005-02-13 01:06  shida

	* includes/classes/email.php:
	  リビジョン1.4から1.5でバグフィクスしたつもりがバグを入れてた。
	  WindowsサーバーにインストールされたPHPのmail関数は、

	  To: Yuki SHIDA <shida@ark-web.jp>

	  のようなToヘッダはパースできないので、$to_addrである必要がある。

	  参考: http://jp.php.net/manual/ja/function.mail.php

	  本家の人はこんなところまで作りこんでてすごいなぁ、と改めて感心。(コードは汚いけど)
